gRPC C#
gRPC C#
Namespaces
Grpc.Core
SslCredentials Class
SslCredentials Constructor
SslCredentials Properties
SslCredentials Methods

SslCredentials Class

Client-side SSL credentials.
Inheritance Hierarchy
System
Object
Grpc.Core
Credentials
Grpc.Core
SslCredentials

Namespace: Grpc.Core
Assembly: Grpc.Core (in Grpc.Core.dll) Version: 0.7.0.0
Syntax
C#
VB
C++
F#
Copy

    public sealed class SslCredentials : Credentials

    Public NotInheritable Class SslCredentials
    	Inherits Credentials

    public ref class SslCredentials sealed : public Credentials

    [<SealedAttribute>]
    type SslCredentials =
        class
            inherit Credentials
        end

The SslCredentials type exposes the following members.

Constructors

| Name | Description
--- | --- | ---
| SslCredentials | Creates client-side SSL credentials loaded from disk file pointed to by the GRPC_DEFAULT_SSL_ROOTS_FILE_PATH environment variable. If that fails, gets the roots certificates from a well known place on disk.
| SslCredentials(String) | Creates client-side SSL credentials from a string containing PEM encoded root certificates.
| SslCredentials(String, KeyCertificatePair) | Creates client-side SSL credentials.

Top
Properties

| Name | Description
--- | --- | ---
| KeyCertificatePair | Client side key and certificate pair. If null, client will not use key and certificate pair.
| RootCertificates | PEM encoding of the server root certificates.

Top
Methods

| Name | Description
--- | --- | ---
| Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
| GetHashCode | Serves as the default hash function. (Inherited from Object.)
| GetType | Gets the Type of the current instance. (Inherited from Object.)
| ToString | Returns a string that represents the current object. (Inherited from Object.)

Top
See Also

#### Reference

Grpc.Core Namespace